<?PHP
//******************************* Lizenzbestimmungen *******************************//
//                                                                                  //
//  Der Quellcode dieses Forums ist urheberrechtlich geschtzt. Jede Weitergabe an  //
//  Dritte ist untersagt. nderungen am Quellcode drfen nur vorgenommen werden,    //
//  wenn Sie Inhaber einer Lizenz der Vollversion von www.disputa.de sind.          //
//                                                                                  //
//  Dieser Lizenzhinweis darf nicht entfernt werden.                                //
//                                                                                  //
//  (C) Constantin Fahl Web Service - info@cfws.de - www.cfws.de - www.disputa.de   //
//                                                                                  //
//**********************************************************************************//

$robots_index = true;
require_once './include/init.php';

if (!((file_exists('./data/'.$_GET['board'].'/')) && (is_numeric($_GET['board']))))
{
	$MSG_ERROR = $_TEXT['ERROR_BOARD'];
	require './include/page_top.php';
	require './include/page_bottom.php';
	Exit;
}

auth('auth_read');
$_BOARD = IniLoad('./data/'.$_GET['board'].'/board.ini');

require './include/page_top.php';

$inis = LoadFileList('./data/'.$_GET['board'].'/', '.txt.ini');
$items = array();

$_SESSION['new_posts_board_'.$_GET['board']] = 0;

foreach ($inis as $ini)
{
	$item = IniLoad('./data/'.$_GET['board'].'/'.$ini);
	$item['id'] = str_replace('.txt.ini', '', $ini);
	$item['sortid'] = $item['lastpost_date'];
	$item['new'] = (($item['lastpost_date'] > $_SESSION['new_posts_date']) && ($_SESSION['new_posts_date'] <> '') && (!IsInGroup($_SESSION['new_posts_seen'], $_GET['board'].'_'.$item['id'])));
	if ($item['new']) $_SESSION['new_posts_board_'.$_GET['board']]++;
	if ($item['pin']) $item['sortid'] = $item['sortid'] + 10000000000;
	array_push($items, $item);
}

if ($_SESSION['new_posts_board_'.$_GET['board']] == 0) 
{
	AddToGroup($_SESSION['new_posts_boards_seen'], $_GET['board']);
}
else
{
	DeleteFromGroup($_SESSION['new_posts_boards_seen'], $_GET['board']);
}

function selfsort($a, $b) {
   return $a['sortid'] < $b['sortid'];
}

usort($items, 'selfsort');


echo '
	<div id="content">
	<table class="main">
	<tr>
		<td class="tb" colspan="3"><a href="'.url('index.php').'">'.$_TEXT['FORUM'].'</a> &raquo; '.$_BOARD['title'].'</td>
		<td class="tb" colspan="4" style="text-align:right;">
';

if ($_GET['page'] == '')
{
	if ($_GET['board'] == $_SESSION['last_board'])
		$_GET['page'] = $_SESSION['last_board_page'];
}

$pages = ceil(count($items)/20);
if ($_GET['page']>$pages) $_GET['page']=$pages;
if ($_GET['page']<1) $_GET['page']=1;
show_pages_($pages, $_GET['page'], 'board.php', $_GET['board']);

$_SESSION['last_board_page'] = $_GET['page'];
$_SESSION['last_board'] = $_GET['board'];

echo '
		</td>
	</tr>
	<tr>
		<td class="oben" colspan="3"><a href="'.url('post.php?do=themaneu&board='.$_GET['board']).'" class="w">'.$_TEXT['NEW_TOPIC'].'</a></td>
		<td class="oben" style="width:70px;text-align:center;">'.$_TEXT['ANSWERES'].'</td>
		<td class="oben" style="width:70px;text-align:center;">'.$_TEXT['VIEWS'].'</td>
		<td class="oben">'.$_TEXT['LAST_POST'].'</td>
	</tr>
';

$von = ($_GET['page']-1)*20;
$bis = ($_GET['page']*20)-1;
if ($bis>=count($items)) $bis=count($items)-1;

$color='g';

for ($i=$von; $i<=$bis; $i++)
{
	$item = $items[$i];
	echo '
		<tr>
			<td class="'.$color.'" style="width:30px; text-align:center;"><a href="'.url('thema.php',$_GET['board'], $item['id']).'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/';
				if ($item['new'])
					echo 'thema_new.png';
				else if ($item['lock'])
					echo 'thema_lock.png';
				else if ($item['pin']) 
					echo 'thema_pin.png';
				elseif ($item['answers']>9) 
					echo 'thema_popular.png';
				else
					echo 'thema.png';
				echo '" border="0" alt=""></a></td>


			<td class="'.$color.'" style="width:35%;">'.($item['pin']?'<b>':'').'<a href="'.url('thema.php',$_GET['board'], $item['id']).'">'.$item['title'].'</a>'.($item['pin']?'</b>':'').'
	';
				if ($item['answers']>9)
				{
					echo ' [';
					show_pages_(floor((($item['answers']+1)/10)+1), 0,'thema.php', $_GET['board'], $item['id']);
					echo '&nbsp;]';
				}
	echo '
				<p class="sub">'.$_TEXT['FROM'].' '.user($item['author']).'
	';
				if (($user_in_thema[$item['id']][0] != '') || ($guests_in_thema[$item['id']] > 0))

				{	

				
					echo '<br /><img src="./styles/'.$_FORUM['settings_design_style'].'/images/usersS.png" alt="" /> <b>'.$_TEXT['STAT_NOW_ONLINE'].':</b> ';

					foreach($user_in_thema[$item['id']] as $user) 
					{
						if ($user != $user_in_thema[$item['id']][0]) echo ', '; 
						echo user($user);
					}

					if ($guests_in_thema[$item['id']] > 0)

					{

						if ($user != $user_in_thema[$item['id']][0]) {echo ' '.$_TEXT['STAT_AND'].' ';}

						if ($guests_in_thema[$item['id']] == 1)

						{

							echo $guests_in_thema[$item['id']].' '.$_TEXT['STAT_GUEST'];

						}

						else

						{

							echo $guests_in_thema[$item['id']].' '.$_TEXT['STAT_GUESTS'];

						}

					}

				}

	echo '
			</p></td>
			<td class="'.$color.'" style="text-align:center;">
	';
				if (($_SESSION['Benutzername'] <> '') && (IsInGroup($item['notification'], $_SESSION['Benutzername'])))
					echo '<img src="styles/'.$_FORUM['settings_design_style'].'/images/mailS.png" border="0" alt="'.$_TEXT['EMAIL_NOTIFICATION'].'" />';
	echo '
			</td>
			<td class="'.$color.'" style="text-align:center;">'.$item['answers'].'</td>
			<td class="'.$color.'" style="text-align:center;">'.$item['views'].'</td>
			<td class="'.$color.'" style="width:auto;"><a href="'.url('thema.php', $_GET['board'], $item['id'], $item['answers']+1).'" title="'.$item['lastpost_title'].'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/gotoS.png" border="0" alt=""></a> <a href="'.url('thema.php', $_GET['board'], $item['id'], $item['answers']+1).'" title="'.$item['lastpost_title'].'">'.($item['lastpost_title']<>''?$item['lastpost_title']:'...').'</a><p class="sub">'.ftime($item['lastpost_date']).' '.$_TEXT['FROM'].' '.user($item['lastpost_from']).'</p></td>
		</tr>
	';
	$color = ($color=='g'?'w':'g');
}

echo '
	<tr>
		<td class="tb" colspan="3"><a href="'.url('post.php?do=themaneu&board='.$_GET['board']).'" class="w">'.$_TEXT['NEW_TOPIC'].'</a></td>
		<td class="tb" colspan="4" style="text-align:right;">
';

$pages = ceil(count($items)/20);
if ($_GET['page']>$pages) $_GET['page']=$pages;
if ($_GET['page']<1) $_GET['page']=1;
show_pages_($pages, $_GET['page'], 'board.php', $_GET['board']);

echo '
		</td>
	</tr>
	</table>
	</div>
';

require './include/page_bottom.php';
?>